Skip to main content
GET
/
evals
/
{eval_id}
/
runs
/
{run_id}
/
output_items
Error
A valid request URL is required to generate request examples
{
  "object": "list",
  "data": [
    {
      "object": "eval.run.output_item",
      "id": "<string>",
      "run_id": "<string>",
      "eval_id": "<string>",
      "created_at": 123,
      "status": "<string>",
      "datasource_item_id": 123,
      "datasource_item": {},
      "results": [
        {}
      ],
      "sample": {
        "input": [
          {
            "role": "<string>",
            "content": "<string>"
          }
        ],
        "output": [
          {
            "role": "<string>",
            "content": "<string>"
          }
        ],
        "finish_reason": "<string>",
        "model": "<string>",
        "usage": {
          "total_tokens": 123,
          "completion_tokens": 123,
          "prompt_tokens": 123,
          "cached_tokens": 123
        },
        "error": {
          "code": "<string>",
          "message": "<string>"
        },
        "temperature": 123,
        "max_completion_tokens": 123,
        "top_p": 123,
        "seed": 123
      }
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true
}

Authorizations

api-key
string
header
required

Headers

aoai-evals
enum<string>
required

Enables access to AOAI Evals, a preview feature. This feature requires the 'aoai-evals' header to be set to 'preview'.

Available options:
preview

Path Parameters

eval_id
string
required
run_id
string
required

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview
after
string
limit
integer<int32>
default:20
status
enum<string>
Available options:
fail,
pass
order
enum<string>
default:asc
Available options:
asc,
desc

Response

The request has succeeded.

An object representing a list of output items for an evaluation run.

object
enum<string>
default:list
required

The type of this object. It is always set to "list".

Available options:
list
data
object[]
required

An array of eval run output item objects.

first_id
string
required

The identifier of the first eval run output item in the data array.

last_id
string
required

The identifier of the last eval run output item in the data array.

has_more
boolean
required

Indicates whether there are more eval run output items available.